import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommissionBatchWhereInputObjectSchema as CommissionBatchWhereInputObjectSchema } from './CommissionBatchWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => CommissionBatchWhereInputObjectSchema).optional(),
  isNot: z.lazy(() => CommissionBatchWhereInputObjectSchema).optional()
}).strict();
export const CommissionBatchScalarRelationFilterObjectSchema: z.ZodType<Prisma.CommissionBatchScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchScalarRelationFilter>;
export const CommissionBatchScalarRelationFilterObjectZodSchema = makeSchema();
